# Execute Function

**executeFunction** is similar to **executeWorkFlow,** it calls one functionality into another functionality, Here you include one functionality as a workflow in another functionality. **executeFunction** can help to group several actions of each different functionality under a single parent functionality.

**Syntax:**&#x20;

**executeFunction(workFlowName)**

| Name             | Type   | Description                         |
| ---------------- | ------ | ----------------------------------- |
| **workFlowName** | String | Enter the name of the functionality |

#### **Video:**

{% embed url="<https://www.youtube.com/watch?t=237s&v=4hiQmVlf2d0>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.qatts.com/master-1/standard-actions-methods/execute-function.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
